Subject: bug#42041: closed (Re: bug#42041: Icecat Determinism problem)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 14 Jul 2022 03:15:02 +0000

Your bug report

#42041: Icecat Determinism problem

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42041: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=42041
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#42041: Icecat Determinism problem
From: Maxim Cournoyer <[email-masked]>
To: Msavoritias <[email-masked]>
Cc: [email-masked]
Date: Wed, 13 Jul 2022 23:14:03 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Msavoritias <[email-masked]> writes:

> In the update that I did today Icecat is no longer Deterministic. 
> I compiled Icecat since there doesn't seem to be any substitutes. After the second time it wrote an error that the two
> builds were not the same.
> My system is this:
>
> Generation 13 Jun 25 2020 16:46:39 (current)
>   guix d1a26be
>     repository URL: https://git.savannah.gnu.org/git/guix.git
>     branch: master
>     commit: d1a26bedcc63362609604ec36c7a5ebee825d140

That seems to no longer be an issue:

--8<---------------cut here---------------start------------->8---
$ guix challenge icecat

1 store items were analyzed:
  - 1 (100.0%) were identical
  - 0 (0.0%) differed
  - 0 (0.0%) were inconclusive
--8<---------------cut here---------------end--------------->8---

Closing.

Thanks for the report!

Maxim

Subject: Icecat Determinism problem
From: Msavoritias <[email-masked]>
To: [email-masked]
Date: Thu, 25 Jun 2020 16:52:17 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

In the update that I did today Icecat is no longer Deterministic.
I compiled Icecat since there doesn't seem to be any substitutes. After 
the second time it wrote an error that the two builds were not the same.
My system is this:

Generation 13	Jun 25 2020 16:46:39	(current)
  guix d1a26be
    repository URL: <https://git.savannah.gnu.org/git/guix.git>
    branch: master
    commit: d1a26bedcc63362609604ec36c7a5ebee825d140

Marinus